Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.action
Class ActionTimeout

    java.lang.Object
      oracle.ifs.utils.action.ActionTimeout

All Implemented Interfaces:
  java.lang.Runnable

    public class ActionTimeout

extends java.lang.Object
implements java.lang.Runnable

The ActionTimeout class waits for a specified period of time and then invokes the `stop` method on a given Action.

Modified:
  lsaenz 03/15/2001 Created.

Constructor Summary
`ActionTimeout(Action action, long timeout)` Creates a new ActionTimeout.

Method Summary
`void` | `run()` Waits for the timeout to expire, then invokes the Action's stop method.
`void` | `start()` Starts this ActionTimeout's timer.
`void` | `stop()` Stops this ActionTimeout's timer, disabling the timeout.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionTimeout

    public ActionTimeout(Action action,
                         long timeout)

  Creates a new ActionTimeout.

  Parameters:
    `action` - the Action to stop when the timeout period has elapsed.
    `timeout` - the timeout period, in milliseconds.

Method Detail

### start

    public void start()

  Description copied from class: `ActionTimeout`
  Starts this ActionTimeout's timer. Once started, the ActionTimeout will stop the Action when the timeout period has expired, unless it is stopped by invoking the `stop` method.

### stop

    public void stop()

  Description copied from class: `ActionTimeout`
  Stops this ActionTimeout's timer, disabling the timeout.

### run

    public void run()

  Description copied from class: `ActionTimeout`
  Waits for the timeout to expire, then invokes the Action's stop method.

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD